pub mod accept;
pub mod rewrite_srcs;
pub mod sanitize;

pub fn parse_acct(mut acct: &str) -> Option<(&str, &str)> {
    if acct.starts_with("@") {
        acct = &acct[1..];
    }
    match acct.split_once("@") {
        Some(parts) if !parts.1.contains("@") => Some(parts),
        _ => None,
    }
}
